<?xml version="1.0" encoding="UTF-8"?>
<rdf:RDF xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#" xmlns="http://purl.org/rss/1.0/" xmlns:taxo="http://purl.org/rss/1.0/modules/taxonomy/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:syn="http://purl.org/rss/1.0/modules/syndication/" xmlns:admin="http://webns.net/mvcb/">
  <channel rdf:about="http://permalink.gmane.org/gmane.linux.kernel.initramfs">
    <title>gmane.linux.kernel.initramfs</title>
    <link>http://permalink.gmane.org/gmane.linux.kernel.initramfs</link>
    <description/>
    <syn:updatePeriod>hourly</syn:updatePeriod>
    <syn:updateFrequency>1</syn:updateFrequency>
    <syn:updateBase>1901-01-01T00:00+00:00</syn:updateBase>
    <items>
      <rdf:Seq>
        <rdf:li rdf:resource="http://permalink.gmane.org/gmane.linux.kernel.initramfs/3236"/>
        <rdf:li rdf:resource="http://permalink.gmane.org/gmane.linux.kernel.initramfs/3235"/>
        <rdf:li rdf:resource="http://permalink.gmane.org/gmane.linux.kernel.initramfs/3234"/>
        <rdf:li rdf:resource="http://permalink.gmane.org/gmane.linux.kernel.initramfs/3233"/>
        <rdf:li rdf:resource="http://permalink.gmane.org/gmane.linux.kernel.initramfs/3232"/>
        <rdf:li rdf:resource="http://permalink.gmane.org/gmane.linux.kernel.initramfs/3231"/>
        <rdf:li rdf:resource="http://permalink.gmane.org/gmane.linux.kernel.initramfs/3230"/>
        <rdf:li rdf:resource="http://permalink.gmane.org/gmane.linux.kernel.initramfs/3229"/>
        <rdf:li rdf:resource="http://permalink.gmane.org/gmane.linux.kernel.initramfs/3228"/>
        <rdf:li rdf:resource="http://permalink.gmane.org/gmane.linux.kernel.initramfs/3227"/>
        <rdf:li rdf:resource="http://permalink.gmane.org/gmane.linux.kernel.initramfs/3226"/>
        <rdf:li rdf:resource="http://permalink.gmane.org/gmane.linux.kernel.initramfs/3225"/>
        <rdf:li rdf:resource="http://permalink.gmane.org/gmane.linux.kernel.initramfs/3224"/>
        <rdf:li rdf:resource="http://permalink.gmane.org/gmane.linux.kernel.initramfs/3223"/>
        <rdf:li rdf:resource="http://permalink.gmane.org/gmane.linux.kernel.initramfs/3222"/>
        <rdf:li rdf:resource="http://permalink.gmane.org/gmane.linux.kernel.initramfs/3221"/>
        <rdf:li rdf:resource="http://permalink.gmane.org/gmane.linux.kernel.initramfs/3220"/>
        <rdf:li rdf:resource="http://permalink.gmane.org/gmane.linux.kernel.initramfs/3219"/>
        <rdf:li rdf:resource="http://permalink.gmane.org/gmane.linux.kernel.initramfs/3218"/>
        <rdf:li rdf:resource="http://permalink.gmane.org/gmane.linux.kernel.initramfs/3217"/>
      </rdf:Seq>
    </items>
    <image rdf:resource="http://gmane.org/img/gmane-25t.png"/>
    <textinput rdf:resource=""/>
  </channel>
  <image rdf:about="http://gmane.org/img/gmane-25t.png">
    <title>Gmane</title>
    <url>http://gmane.org/img/gmane-25t.png</url>
    <link>http://gmane.org</link>
  </image>
  <item rdf:about="http://permalink.gmane.org/gmane.linux.kernel.initramfs/3236">
    <title>[PATCH] 50drm: Install dracut 50drm module in hostonly mode when drm driver is currently in use.</title>
    <link>http://permalink.gmane.org/gmane.linux.kernel.initramfs/3236</link>
    <description>&lt;pre&gt;Now only 50plymouth module can pull in 50drm and that's very limited.
Because KMS capable drm drivers are much needed in initrd to have a
frame buffer console on the screen.

Particularly, when building kdump initrd, plymouth module is omitted,
but drm is necessary to setup a working screen for one sitting in front
of a monitor.

Signed-off-by: WANG Chao &amp;lt;chaowang-H+wXaHxf7aLQT0dZR+AlfA&amp;lt; at &amp;gt;public.gmane.org&amp;gt;
---
 modules.d/50drm/module-setup.sh | 4 ++++
 1 file changed, 4 insertions(+)

diff --git a/modules.d/50drm/module-setup.sh b/modules.d/50drm/module-setup.sh
index bf33c5b..648e8f4 100644
--- a/modules.d/50drm/module-setup.sh
+++ b/modules.d/50drm/module-setup.sh
&amp;lt; at &amp;gt;&amp;lt; at &amp;gt; -3,6 +3,10 &amp;lt; at &amp;gt;&amp;lt; at &amp;gt;
 # ex: ts=8 sw=4 sts=4 et filetype=sh
 
 check() {
+    if [[ $hostonly ]] &amp;amp;&amp;amp; [ -d /sys/module/drm/drivers ]; then
+        return 0
+    fi
+
     return 255
 }
 
&lt;/pre&gt;</description>
    <dc:creator>WANG Chao</dc:creator>
    <dc:date>2013-05-24T08:22:43</dc:date>
  </item>
  <item rdf:about="http://permalink.gmane.org/gmane.linux.kernel.initramfs/3235">
    <title>Re: why not install selinux with systemd being used</title>
    <link>http://permalink.gmane.org/gmane.linux.kernel.initramfs/3235</link>
    <description>&lt;pre&gt;
I did not see initramfs related selinux policy loading in systemd code.

Under rd.break=pre-pivot:
pre-pivot:/# /sysroot/usr/sbin/sestatus
SELinux status: disabled



&lt;/pre&gt;</description>
    <dc:creator>Dave Young</dc:creator>
    <dc:date>2013-05-24T04:21:19</dc:date>
  </item>
  <item rdf:about="http://permalink.gmane.org/gmane.linux.kernel.initramfs/3234">
    <title>Join today and find the perfect sex date.</title>
    <link>http://permalink.gmane.org/gmane.linux.kernel.initramfs/3234</link>
    <description>&lt;pre&gt;Millions of wet ladies are looking for cocks. Join today.

http://dir.yandrewantop.com











imqjuhoskj

&lt;/pre&gt;</description>
    <dc:creator>root-ztzCQktJ/ZJvikIXoWnGQuIH1CYiMJfz&lt; at &gt;public.gmane.org</dc:creator>
    <dc:date>2013-05-21T06:20:47</dc:date>
  </item>
  <item rdf:about="http://permalink.gmane.org/gmane.linux.kernel.initramfs/3233">
    <title>Re: why not install selinux with systemd being used</title>
    <link>http://permalink.gmane.org/gmane.linux.kernel.initramfs/3233</link>
    <description>&lt;pre&gt;'Twas brillig, and Dave Young at 22/05/13 11:14 did gyre and gimble:

Harald is on vacation just now I believe.

However, assuming the systemd module is being used in dracut than I
suspect that the selinux support in systemd itself is what will be used
in the initrd to ensure selinux stuff is supported.

(I would reply-all but replying via gmane which mangles email addresses
so I can't easily do so).

Col


&lt;/pre&gt;</description>
    <dc:creator>Colin Guthrie</dc:creator>
    <dc:date>2013-05-23T15:45:16</dc:date>
  </item>
  <item rdf:about="http://permalink.gmane.org/gmane.linux.kernel.initramfs/3232">
    <title>Re: why not install selinux with systemd being used</title>
    <link>http://permalink.gmane.org/gmane.linux.kernel.initramfs/3232</link>
    <description>&lt;pre&gt;CC Vivek and Baoquan


&lt;/pre&gt;</description>
    <dc:creator>Dave Young</dc:creator>
    <dc:date>2013-05-22T10:14:20</dc:date>
  </item>
  <item rdf:about="http://permalink.gmane.org/gmane.linux.kernel.initramfs/3231">
    <title>why not install selinux with systemd being used</title>
    <link>http://permalink.gmane.org/gmane.linux.kernel.initramfs/3231</link>
    <description>&lt;pre&gt;Hi, Harald

I have a question about selinux module.

In dracut.spec there's below code:

%if %{defined _unitdir}
# with systemd IMA and selinux modules do not make sense
rm -fr $RPM_BUILD_ROOT/%{dracutlibdir}/modules.d/96securityfs
rm -fr $RPM_BUILD_ROOT/%{dracutlibdir}/modules.d/97masterkey
rm -fr $RPM_BUILD_ROOT/%{dracutlibdir}/modules.d/98integrity
rm -fr $RPM_BUILD_ROOT/%{dracutlibdir}/modules.d/98selinux
%endif

I'm confused why they are excluded for systemd?

And how can we load selinux policy in initramfs without 98selinux now?


&lt;/pre&gt;</description>
    <dc:creator>Dave Young</dc:creator>
    <dc:date>2013-05-22T10:13:02</dc:date>
  </item>
  <item rdf:about="http://permalink.gmane.org/gmane.linux.kernel.initramfs/3230">
    <title>Re: PROBLEM: Errors in instmods_1 are ignored</title>
    <link>http://permalink.gmane.org/gmane.linux.kernel.initramfs/3230</link>
    <description>&lt;pre&gt;Hello!

Am Donnerstag, 9. Mai 2013, 13:18:02 schrieb Dennis Schridde:

Did anyone have a look at this? How shall it be fixed?

Best regards,
Dennis&lt;/pre&gt;</description>
    <dc:creator>Dennis Schridde</dc:creator>
    <dc:date>2013-05-17T16:23:35</dc:date>
  </item>
  <item rdf:about="http://permalink.gmane.org/gmane.linux.kernel.initramfs/3229">
    <title>Re: [PATCH 1/2] [99fs-lib] Create generic mount framework</title>
    <link>http://permalink.gmane.org/gmane.linux.kernel.initramfs/3229</link>
    <description>&lt;pre&gt;Hello!

These 99fs-lib patches are still needed by my aufs/nfs extensions that are 
about to be submitted once any issues with these patches are resolved.

Are there any issues with these patches? Can someone please merge them?

--Dennis&lt;/pre&gt;</description>
    <dc:creator>Dennis Schridde</dc:creator>
    <dc:date>2013-05-17T16:22:40</dc:date>
  </item>
  <item rdf:about="http://permalink.gmane.org/gmane.linux.kernel.initramfs/3228">
    <title>Re: [PATCH 1/2] [40network] Add variable parsing framework for network related variables</title>
    <link>http://permalink.gmane.org/gmane.linux.kernel.initramfs/3228</link>
    <description>&lt;pre&gt;Oups, sorry, these emails should have been referring to
Message-Id: &amp;lt;1365694853-7881-1-git-send-email-devurandom-hi6Y0CQ0nG0&amp;lt; at &amp;gt;public.gmane.org&amp;gt;

I will not resend them with the proper In-Reply-To in the hopes that this is 
not especially important and they will be considered for merging anyway.

Best regards,
Dennis&lt;/pre&gt;</description>
    <dc:creator>Dennis Schridde</dc:creator>
    <dc:date>2013-05-17T16:22:28</dc:date>
  </item>
  <item rdf:about="http://permalink.gmane.org/gmane.linux.kernel.initramfs/3227">
    <title>[PATCH 2/2] [40network] Provide a hostname fallback function, in case there is no executable of this name</title>
    <link>http://permalink.gmane.org/gmane.linux.kernel.initramfs/3227</link>
    <description>&lt;pre&gt;---
 modules.d/40network/net-lib.sh | 5 +++++
 1 file changed, 5 insertions(+)

diff --git a/modules.d/40network/net-lib.sh b/modules.d/40network/net-lib.sh
index f006874..7e8b2e5 100644
--- a/modules.d/40network/net-lib.sh
+++ b/modules.d/40network/net-lib.sh
&amp;lt; at &amp;gt;&amp;lt; at &amp;gt; -422,3 +422,8 &amp;lt; at &amp;gt;&amp;lt; at &amp;gt; net_add_parse_vars() {
 [ -f /tmp/40network.parse.finished."${jobid}" ]
 EOF
 }
+
+type hostname &amp;gt;/dev/null 2&amp;gt;&amp;amp;1 || \
+hostname() {
+cat /proc/sys/kernel/hostname
+}
&lt;/pre&gt;</description>
    <dc:creator>Dennis Schridde</dc:creator>
    <dc:date>2013-05-17T16:17:20</dc:date>
  </item>
  <item rdf:about="http://permalink.gmane.org/gmane.linux.kernel.initramfs/3226">
    <title>[PATCH 1/2] [40network] Add variable parsing framework for network related variables</title>
    <link>http://permalink.gmane.org/gmane.linux.kernel.initramfs/3226</link>
    <description>&lt;pre&gt;* Provides net_add_parse_vars function to install net_parse_vars hook when an interface comes online
* Provides net_parse_vars function to search and replace network related variables in a string
---
 modules.d/40network/net-lib.sh | 56 ++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 56 insertions(+)

diff --git a/modules.d/40network/net-lib.sh b/modules.d/40network/net-lib.sh
index f9b461b..f006874 100644
--- a/modules.d/40network/net-lib.sh
+++ b/modules.d/40network/net-lib.sh
&amp;lt; at &amp;gt;&amp;lt; at &amp;gt; -366,3 +366,59 &amp;lt; at &amp;gt;&amp;lt; at &amp;gt; linkup() {
      &amp;amp;&amp;amp; wait_for_if_up $1 2&amp;gt;/dev/null
 }
 
+# net_parse_vars STRING IFUP
+# parse vars in STRING
+# IFUP may contain the interface that came online, triggering this hook
+net_parse_vars() {
+local cur="$1" ifup="$2" var val iface
+
+var="${cur#*%\{}"
+var="${var%%\}*}"
+
+while [ "${var}" != "${cur}" ] ; do
+case "${var}" in
+mac.*)
+iface="${var##mac.}"
+[ "${ifup}" = "${iface}" ] || exit
+val="$(ip link show dev "${iface}" | sed -nre '/ether/s/^.*ether ([0-9a-f:]*) .&lt;/pre&gt;</description>
    <dc:creator>Dennis Schridde</dc:creator>
    <dc:date>2013-05-17T16:17:19</dc:date>
  </item>
  <item rdf:about="http://permalink.gmane.org/gmane.linux.kernel.initramfs/3225">
    <title>Re: [PATCH] [40network] Fix ifup.sh to always execute initqueue/online hook after bringing up an interface</title>
    <link>http://permalink.gmane.org/gmane.linux.kernel.initramfs/3225</link>
    <description>&lt;pre&gt;Hello!

Am Dienstag, 30. April 2013, 15:25:15 schrieb Will Woods:

Thanks for that information!

I removed the patch and discovered some bugs and misconceptions about the 
inner workings of dracut in my own code. It works now without the patch.

Best regards,
Dennis&lt;/pre&gt;</description>
    <dc:creator>Dennis Schridde</dc:creator>
    <dc:date>2013-05-17T16:13:57</dc:date>
  </item>
  <item rdf:about="http://permalink.gmane.org/gmane.linux.kernel.initramfs/3224">
    <title>Re: Unable to boot with encrypted swap</title>
    <link>http://permalink.gmane.org/gmane.linux.kernel.initramfs/3224</link>
    <description>&lt;pre&gt;
I think Dracut could use the the "swap" flag in crypttab to determine that 
a volume is definitely not needed on boot, since this tells 
systemd-cryptsetup that the swap needs to be recreated on boot. And since 
this is a "plain" dm-crypt encrypted device, the (randomly generated) 
encryption key isn't dropped from the kernel on hibernation -- so, I don't 
think the initrd needs to touch it upon resuming from hibernation either.

(Ensuring the hibernation image itself isn't on the encrypted swap is a 
different problem altogether, of course. I haven't looked into how this 
might be done yet.)


No problem. Here are the "bad" and "good" initramfs's respectively:

http://michael.beta.anchortrove.com/bad-initramfs-3.9.1-301.fc19.x86_64.img
http://michael.beta.anchortrove.com/good-initramfs-3.9.1-301.fc19.x86_64.img

Regards,
Michael
&lt;/pre&gt;</description>
    <dc:creator>Michael Chapman</dc:creator>
    <dc:date>2013-05-17T01:38:19</dc:date>
  </item>
  <item rdf:about="http://permalink.gmane.org/gmane.linux.kernel.initramfs/3223">
    <title>Re: Unable to boot with encrypted swap</title>
    <link>http://permalink.gmane.org/gmane.linux.kernel.initramfs/3223</link>
    <description>&lt;pre&gt;'Twas brillig, and Joseph D. Wagner at 14/05/13 04:06 did gyre and gimble:

Yeah it's almost certainly only for resume from suspend. Sadly this is
controlled by the resume= kernel command line and when the initrd is
generated it doesn't really know if it'll be needed or not.

I think you're right when you say that it should also include the
necessary bits to init swap and it should simply not do that at run time
if no resume= is detected. Sadly such a complex swap setup is likely not
on the radar as of now (will need a few patches).

What I can't understand is why it actually waits. It should timeout can
carry on (I remember writing patches to remove the wait_for_device job
but my memory is fuzzy) if the swap doesn't appear.

It would be interesting to get the /etc/fstab and /etc/cmdline.d/* files
from the initrd itself. Possibly the hooks folder too. That way we can
see exactly what it's waiting for. Assuming there is nothing sensitive
on it, perhaps you can just upload the initrd somewhere?

Col


&lt;/pre&gt;</description>
    <dc:creator>Colin Guthrie</dc:creator>
    <dc:date>2013-05-16T08:17:30</dc:date>
  </item>
  <item rdf:about="http://permalink.gmane.org/gmane.linux.kernel.initramfs/3222">
    <title>[PATCH] dracut systemd cmdline service fix</title>
    <link>http://permalink.gmane.org/gmane.linux.kernel.initramfs/3222</link>
    <description>&lt;pre&gt;
Kdump test failed since below commits 
dbfaae0e34507d2d1f3c186ffe26af3e8028b9f8

Fedora bug is here:
https://bugzilla.redhat.com/show_bug.cgi?id=963159

The reason is the hooks afterwards need NEWROOT env which
is set in dracut-cmdline.sh.

In this case there's no files under /etc/cmdline.d/ and
/lib/dracut/hooks/cmdline/. Conditions checking failed, so
the cmdline service failed to startup.

Fix this issue by remove the Conditions thus cmdline service
always run if /etc/initrd-release exists.

Signed-off-by: Dave Young &amp;lt;dyoung-H+wXaHxf7aLQT0dZR+AlfA&amp;lt; at &amp;gt;public.gmane.org&amp;gt;
---
 modules.d/98systemd/dracut-cmdline.service |    5 -----
 1 file changed, 5 deletions(-)

--- dracut.orig/modules.d/98systemd/dracut-cmdline.service
+++ dracut/modules.d/98systemd/dracut-cmdline.service
&amp;lt; at &amp;gt;&amp;lt; at &amp;gt; -16,11 +16,6 &amp;lt; at &amp;gt;&amp;lt; at &amp;gt; Before=systemd-vconsole-setup.service
 After=systemd-journald.socket
 Wants=systemd-journald.socket
 ConditionPathExists=/etc/initrd-release
-ConditionPathExistsGlob=|/etc/cmdline.d/*.conf
-ConditionDirectoryNotEmpty=|/li&lt;/pre&gt;</description>
    <dc:creator>dyoung-H+wXaHxf7aLQT0dZR+AlfA&lt; at &gt;public.gmane.org</dc:creator>
    <dc:date>2013-05-16T05:15:17</dc:date>
  </item>
  <item rdf:about="http://permalink.gmane.org/gmane.linux.kernel.initramfs/3221">
    <title>Re: Unable to boot with encrypted swap</title>
    <link>http://permalink.gmane.org/gmane.linux.kernel.initramfs/3221</link>
    <description>&lt;pre&gt;
OK, at least that wasn't difficult to find out. /dev/ogopogo/swap is a 
"plain" crypto device, not a LUKS device. That makes sense, because the 
whole point of encrypted swap is that it's ephemeral. It doesn't need the 
LUKS on-disk format.

So really, I think the right approach here would be for Dracut to detect 
that a swap device like this is ephemeral and that it doesn't need 
activation during initramfs... or if this isn't possible, perhaps an fstab 
option so that Dracut can skip it (I don't want to use "noauto", of 
course, since I still want the swap to be activated on boot).

- Michael
&lt;/pre&gt;</description>
    <dc:creator>Michael Chapman</dc:creator>
    <dc:date>2013-05-14T07:47:57</dc:date>
  </item>
  <item rdf:about="http://permalink.gmane.org/gmane.linux.kernel.initramfs/3220">
    <title>Re: Unable to boot with encrypted swap</title>
    <link>http://permalink.gmane.org/gmane.linux.kernel.initramfs/3220</link>
    <description>&lt;pre&gt;
Well, if /dev/ogopogo isn't available then neither is my root filesystem 
in the same volume group... and I've got bigger problems if that's the 
case. :-)

I'll fiddle around with this a bit more, but I'm pretty sure it's not just 
a simple configuration issue. Dracut simply doesn't think I need LUKS in 
the initramfs, since none of the devices it examines resolves to an fs 
type of "crypto_LUKS".

And now that I look at that blkid output again, I can see that 
/dev/ogopogo/swap (which should have that type) is completely missing. Why 
would that be the case?

To be honest, I don't particularly care if my swap is prepared in the 
initramfs or later on during boot, so I don't actually *need* LUKS in the 
initramfs. But if LUKS isn't there, I certainly don't want it the 
initramfs to wait around for a LUKS device that's never going to appear.

- Michael
&lt;/pre&gt;</description>
    <dc:creator>Michael Chapman</dc:creator>
    <dc:date>2013-05-14T07:28:11</dc:date>
  </item>
  <item rdf:about="http://permalink.gmane.org/gmane.linux.kernel.initramfs/3219">
    <title>Re: Unable to boot with encrypted swap</title>
    <link>http://permalink.gmane.org/gmane.linux.kernel.initramfs/3219</link>
    <description>&lt;pre&gt;
On 05/13/2013 08:22 PM, Michael Chapman wrote:

/dev/ogopogo might not be available at that point in the boot process.  
I must admit that I don't fully understand the rules that go into udev.

I would try changing the second entry in your crypttab file to the UUID 
of the underlying device.  For example, my crypttab looks like this:

swap UUID=bfd3a748-bfcd-49dd-992e-d061847ef33d none
userdata1 UUID=c2119916-20e6-45f2-87d7-26012cefba59 none
userdata2 UUID=2e8d7701-7b52-4ebc-b62f-8bd2774457bf none

In my case, the UUID is the luks UUID, but I *believe* it can be the 
UUID of the underlying device.  See here for examples:
http://ubuntuforums.org/showthread.php?t=1080760

Be sure to regenerate your initramfs after changing your crypttab file.

If this doesn't fix it for you, then I'm out of ideas.  Sorry, but I'm 
not the most knowledgeable person on this list.

Joseph D. Wagner


&lt;/pre&gt;</description>
    <dc:creator>Joseph D. Wagner</dc:creator>
    <dc:date>2013-05-14T03:53:29</dc:date>
  </item>
  <item rdf:about="http://permalink.gmane.org/gmane.linux.kernel.initramfs/3218">
    <title>Re: Unable to boot with encrypted swap</title>
    <link>http://permalink.gmane.org/gmane.linux.kernel.initramfs/3218</link>
    <description>&lt;pre&gt;
Sorry, I missed this in my previous email.

Output from blkid:

/dev/sda1: SEC_TYPE="msdos" UUID="1400-EDC0" TYPE="vfat" PARTLABEL="EFI System Partition" PARTUUID="f600b7a0-dc4c-4c62-8c32-29b753877072"
/dev/sda2: UUID="009ef157-66a8-42cb-869e-436244f39ca2" TYPE="ext4" PARTUUID="1da28ac9-df4f-42c2-8988-df0d5add947d"
/dev/sda3: UUID="vpNiek-T840-JH8E-phcM-BUgl-zNeX-70HDuW" TYPE="LVM2_member" PARTUUID="d1bd9da9-ee3c-45be-8960-921f1cb4dfec"
/dev/mapper/ogopogo-root: LABEL="root" UUID="c73aa277-ff32-42d0-a6f1-681694ba7b36" TYPE="ext4"
/dev/mapper/ogopogo-home: UUID="92b64e79-7b00-401a-ba83-e2fe5fa828f4" TYPE="crypto_LUKS"
/dev/mapper/luks-swap: UUID="e553888c-42f0-42ff-ac78-ab90b5562f41" TYPE="swap"
/dev/mapper/luks-home: LABEL="home" UUID="50c2abf5-84b0-4752-b527-e94b82b208f8" TYPE="ext4"

Thanks,
Michael

&lt;/pre&gt;</description>
    <dc:creator>Michael Chapman</dc:creator>
    <dc:date>2013-05-14T03:27:13</dc:date>
  </item>
  <item rdf:about="http://permalink.gmane.org/gmane.linux.kernel.initramfs/3217">
    <title>Re: Unable to boot with encrypted swap</title>
    <link>http://permalink.gmane.org/gmane.linux.kernel.initramfs/3217</link>
    <description>&lt;pre&gt;
On 05/13/2013 07:43 PM, Michael Chapman wrote:

I'm pretty sure this is needed for resume-from-suspend.  My money is on 
a configuration problem.  I'd be happy to take a look.

Please post:
/etc/crypttab
/etc/fstab
/proc/partitions
/proc/cmdline
output from `blkid'


&lt;/pre&gt;</description>
    <dc:creator>Joseph D. Wagner</dc:creator>
    <dc:date>2013-05-14T03:06:17</dc:date>
  </item>
  <item rdf:about="http://permalink.gmane.org/gmane.linux.kernel.initramfs/3216">
    <title>Re: Unable to boot with encrypted swap</title>
    <link>http://permalink.gmane.org/gmane.linux.kernel.initramfs/3216</link>
    <description>&lt;pre&gt;
Wonderful! First, I should point out I've also got LVM:

   LV   VG      Attr      LSize   Pool Origin Data%  Move Log Copy%  Convert
   home ogopogo -wi-ao--- 31.46g
   root ogopogo -wi-ao--- 31.46g
   swap ogopogo -wi-ao---  8.39g

So /etc/crypttab references these LVs:

   luks-home /dev/ogopogo/home none
   luks-swap /dev/ogopogo/swap /dev/urandom swap

And /etc/fstab references the swap volume by device mapper name (can't use 
UUID, of course, since that changes on each mkswap):

   UUID=c73aa277-ff32-42d0-a6f1-681694ba7b36 /         ext4 defaults                            1 1
   UUID=009ef157-66a8-42cb-869e-436244f39ca2 /boot     ext4 defaults                            1 2
   UUID=1400-EDC0                            /boot/efi vfat defaults,umask=0077,shortname=winnt 0 0
   UUID=50c2abf5-84b0-4752-b527-e94b82b208f8 /home     ext4 defaults                            1 2
   /dev/mapper/luks-swap                     swap      swap defaults                            0 0

/proc/partitions:

   major min&lt;/pre&gt;</description>
    <dc:creator>Michael Chapman</dc:creator>
    <dc:date>2013-05-14T03:22:28</dc:date>
  </item>
  <textinput rdf:about="http://search.gmane.org/?group=$group=gmane.linux.kernel.initramfs">
    <title>Search Engine</title>
    <description>Search the mailing list at Gmane</description>
    <name>query</name>
    <link>http://search.gmane.org/?group=$group=gmane.linux.kernel.initramfs</link>
  </textinput>
</rdf:RDF>
